[catalyst] avec un kernel 2.6.24 ?

Reconnaissance et configuration du matériel / kernel linux
Avatar de l’utilisateur
NiZoX
Hankyu
Messages : 21
Inscription : sam. 29 déc. 2007, 11:32

[catalyst] avec un kernel 2.6.24 ?

Message par NiZoX »

Hello,

J'ai un léger problème pour faire fonctionner les derniers drivers ati avec un 2.6.24 vanilla.

J'ai modifié le PKGBUILD comme ceci: http://pastebin.archlinux.fr/5714
et j'obtiens les erreurs suivantes: http://thora.hd.free.fr/~nizox/autres/log_catalyst (c'était trop gros pour passer sur le pastebin)

Apparemment il manquerait pleins de fichiers, pourtant ça fonctionnait avec la version précédente de kernel-sources :/

Bon weekend !
Avatar de l’utilisateur
wain
Maître du Kyudo
Messages : 1854
Inscription : ven. 11 août 2006, 19:15
Localisation : Nancy (54)
Contact :

Message par wain »

Je rencontre le même problème avec la compilation de ndiswrapper. Ca doit sûrement venir du répertoire asm qui n'est pas recopié à l'endroit attendu.
J'ai vu passer un patch pour la compilation du driver nvidia, alors la question est faut-il modifier le PKGBUILD du kernel ou faut-il modifier le PKGBUILD de chaque driver ?

edit: je crois avoir trouvé un truc qui va pas dans kernel-sources. Le temps de retester et j'envoi un nouveau package.
edit: le pb est corrigé dans kernel-sources 2008.01.27-1
Répondre